Skip to content

Retrieve an admin

Request

You can retrieve the details of a single admin.

Security
bearerAuth
Path
idintegerrequired

The unique identifier of a given admin

Example:123
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.9"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.9
curl -i -X GET \
  https://api.intercom.io/admins/123 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.9'

Responses

Admin found

Bodyapplication/json
typestring

String representing the object's type. Always has the value admin.

Example:"admin"
idstring

The id representing the admin.

Example:"1295"
namestring

The name of the admin.

Example:"Joe Examplee"
emailstring

The email of the admin.

Example:"wash@example.com"
job_titlestring

The job title of the admin.

Example:"Philosopher"
away_mode_enabledboolean

Identifies if this admin is currently set in away mode.

Example:false
away_mode_reassignboolean

Identifies if this admin is set to automatically reassign new conversations to the apps default inbox.

Example:false
has_inbox_seatboolean

Identifies if this admin has a paid inbox seat to restrict/allow features that require them.

Example:true
team_idsArray of integers

This object represents the avatar associated with the admin.

Example:
[ 814865 ]
avatarstring or null, (uri)

Image for the associated team or teammate

Example:"https://picsum.photos/200/300"
team_priority_levelobject or null(Team Priority Level)

Admin priority levels for teams

Response
{ "type": "admin", "id": "991267251", "name": "Ciaran9 Lee", "email": "admin9@email.com", "away_mode_enabled": false, "away_mode_reassign": false, "has_inbox_seat": true, "team_ids": [] }